Bug 577974 - Review Request: glite-security-trustmanager - Java trustmanager interface supporting a GSI grid name space
Summary: Review Request: glite-security-trustmanager - Java trustmanager interface sup...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-29 21:19 UTC by Steve Traylen
Modified: 2010-06-14 17:27 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-11 23:37:14 UTC
mattias.ellert: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2010-03-29 21:19:10 UTC
Spec URL: http://cern.ch/straylen/rpms/glite-security-trustmanager/glite-security-trustmanager.spec
SRPM URL: http://cern.ch/straylen/rpms/glite-security-trustmanager/glite-security-trustmanager-2.0.6-3.fc12.src.rpm
Description: 
glite-security-trustmanager together with glite-security-util-java is
an implementation of the java TrustManager interface with implementation
of cert path checking, grid name space restrictions and dynamic loading
of CA certs, credentials, CRLs and name space restrictions.
Also provided is integration into tomcat, axis and axis2. There
are many utility classes and methods for certificate and proxy handling
in glite-security-util-java. It can be used both in the server side for
the server SSL handler and on the client side for the opening of SSL
connections.

for the rpmlint output
glite-security-trustmanager-tomcat5.noarch: W: log-files-without-logrotate /var/log/glite-security-trustmanager

the log file is maintained by log4j.

Comment 2 Mattias Ellert 2010-05-21 17:26:53 UTC
Fedora review  glite-security-trustmanager  2010-05-21


rpmlint output:

$ rpmlint ~/rpmbuild/RPMS/*/glite-security-trustmanager-* ../glite-security-trustmanager-2.5.5-1.fc12.src.rpm 
glite-security-trustmanager-javadoc.noarch: W: spelling-error Summary(en_US) javadocs -> java docs, java-docs, Javanese
glite-security-trustmanager-tomcat5.noarch: W: spelling-error %description -l en_US util -> til, until, u til
glite-security-trustmanager-tomcat5.noarch: W: spelling-error %description -l en_US nescesary -> necessary, necessarily, Nescafe
glite-security-trustmanager-tomcat5.noarch: W: log-files-without-logrotate /var/log/glite-security-trustmanager
glite-security-trustmanager.x86_64: W: spelling-error %description -l en_US util -> til, until, u til
glite-security-trustmanager.src: W: spelling-error %description -l en_US util -> til, until, u til
glite-security-trustmanager.src:170: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
glite-security-trustmanager.src: W: invalid-url Source0: glite-security-trustmanager-2.5.5.tar.gz
5 packages and 0 specfiles checked; 0 errors, 8 warnings.

The spelling error "nescesary" → "necessary" should be fixed, otherwise OK.


+ Java package with a single jarfile → package name equals name of jar
+ Specfile is named after package
+ License "ASL 2.0" is a Fedora approved license
+ The license tag in the spec file corresponds to the license of the sources
+ License file is included in %doc
+ Specfile is written in legible English
+ Sources matches upstream
+ Package compiles successfully (Fedora 13)
    koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2201657
+ BuildRequires are sane
+ No bundled libraries

- Package should own the directory /usr/lib64/gcj/glite-security-trustmanager

+ No duplicate files

? Permissions are sane and %files has %defattr
    Marking the gcj aot files with %attr(-,root,root) seems redundant though,
    since this is covered by the %defattr

+ Specfile uses macros consistently
+ %doc is not runtime essential

+ Package does not own others directories
    The /etc/grid-security directory is owned by many packages, but there is
    no "master" package on which all the others depend on, so this is fine

? Do you need vomsjapi in the list of java libraries that get put in
  the tomcat server lib repository in the %post scriptlet?

Comment 3 Steve Traylen 2010-05-22 21:59:23 UTC
All items in comment #2 have been addressed including adding vomjapi
to %post scriptlet.

As an aside I notice that bouncycastle has started including some classes
directly from vomsjapi. Something to check outside this review.

http://cern.ch/straylen/rpms/glite-security-trustmanager/glite-security-trustmanager-2.5.5-2.fc13.src.rpm

http://cern.ch/straylen/rpms/glite-security-trustmanager/glite-security-trustmanager.spec

Comment 4 Mattias Ellert 2010-05-23 13:28:03 UTC
Package approved.

Comment 5 Steve Traylen 2010-05-23 18:16:04 UTC
New Package CVS Request
=======================
Package Name: glite-security-trustmanager
Short Description: Java trustmanager interface supporting a GSI grid name space
Owners: stevetraylen
Branches: F-12 F-13 EL-5 EL-6
InitialCC:

Comment 6 Dennis Gilmore 2010-05-25 20:59:11 UTC
CVS Done

Comment 7 Fedora Update System 2010-05-27 18:24:27 UTC
glite-security-trustmanager-2.5.5-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/glite-security-trustmanager-2.5.5-4.fc13

Comment 8 Fedora Update System 2010-05-27 18:24:34 UTC
glite-security-trustmanager-2.5.5-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/glite-security-trustmanager-2.5.5-4.el5

Comment 9 Fedora Update System 2010-05-28 18:08:13 UTC
glite-security-trustmanager-2.5.5-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glite-security-trustmanager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/glite-security-trustmanager-2.5.5-4.fc13

Comment 10 Fedora Update System 2010-05-29 00:19:37 UTC
glite-security-trustmanager-2.5.5-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glite-security-trustmanager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/glite-security-trustmanager-2.5.5-4.el5

Comment 11 Fedora Update System 2010-06-11 23:37:09 UTC
glite-security-trustmanager-2.5.5-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-06-14 17:26:58 UTC
glite-security-trustmanager-2.5.5-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.